# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TCancelOperationResp

Packages that use TCancelOperationResp
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TCancelOperationResp in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TCancelOperationResp in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`static class`
`TCLIService.AsyncClient.CancelOperation_call`
`static class`
`TCLIService.AsyncProcessor.CancelOperation<I extends TCLIService.AsyncIface>`
Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TCancelOperationResp
Modifier and Type
Class
Description
`class`
`TCancelOperationResp`
`class`
`TCancelOperationResp`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TCancelOperationResp
Modifier and Type
Field
Description
`TCancelOperationResp`
TCLIService.CancelOperation_result.`success`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TCancelOperationResp
Modifier and Type
Method
Description
`TCancelOperationResp`
TCLIService.Client.`CancelOperation(TCancelOperationReq req)`
`TCancelOperationResp`
TCLIService.Iface.`CancelOperation(TCancelOperationReq req)`
`TCancelOperationResp`
TCancelOperationResp.`deepCopy()`
`TCancelOperationResp`
TCLIService.AsyncClient.CancelOperation_call.`getResult()`
`TCancelOperationResp`
TCLIService.CancelOperation_result.`getSuccess()`
`TCancelOperationResp`
TCLIService.Client.`recv_CancelOperation()`
`TCancelOperationResp`
TCancelOperationResp.`setStatus(TStatus status)`
Methods in com.databricks.jdbc.model.client.thrift.generated that return types with arguments of type TCancelOperationResp
Modifier and Type
Method
Description
`org.apache.thrift.async.AsyncMethodCallback<TCancelOperationResp>`
TCLIService.AsyncProcessor.CancelOperation.`getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TCancelOperationResp
Modifier and Type
Method
Description
`int`
TCancelOperationResp.`compareTo(TCancelOperationResp other)`
`boolean`
TCancelOperationResp.`equals(TCancelOperationResp that)`
`TCLIService.CancelOperation_result`
TCLIService.CancelOperation_result.`setSuccess(TCancelOperationResp success)`
Method parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TCancelOperationResp
Modifier and Type
Method
Description
`void`
TCLIService.AsyncClient.`CancelOperation(TCancelOperationReq req, org.apache.thrift.async.AsyncMethodCallback<TCancelOperationResp> resultHandler)`
`void`
TCLIService.AsyncIface.`CancelOperation(TCancelOperationReq req, org.apache.thrift.async.AsyncMethodCallback<TCancelOperationResp> resultHandler)`
`void`
TCLIService.AsyncProcessor.CancelOperation.`start(I iface, TCLIService.CancelOperation_args args, org.apache.thrift.async.AsyncMethodCallback<TCancelOperationResp> resultHandler)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TCancelOperationResp
Modifier
Constructor
Description
``
`CancelOperation_result(TCancelOperationResp success)`
``
`TCancelOperationResp(TCancelOperationResp other)`
Performs a deep copy on other.
Constructor parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TCancelOperationResp
Modifier
Constructor
Description
``
`CancelOperation_call(TCancelOperationReq req, org.apache.thrift.async.AsyncMethodCallback<TCancelOperationResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`